#!/bin/bash
# slurm specific options for MN4
#SBATCH --qos=debug
#SBATCH -N 1
#SBATCH -n 5
#SBATCH -c 1
#SBATCH -t 0:05:00
#SBATCH --exclusive


# loading required modules and machine dependence paths on MN4 or HPC2020 
source modules.sh 


#AMIP Forcing only
bash ./run_example.sh datacoupler forcing 4 2005-01-01 2005-03-01 0 128 true false template_conf_datacoupler_forcing.yaml
#AMIP Forcing + co2flux
#bash ./run_example.sh datacoupler co2flux 4 2005-01-01 2005-03-01 0 128 true false template_conf_datacoupler_co2flux.yaml
#co2box only
#bash ./run_example.sh datacoupler co2box 1 2005-01-01 2005-03-01 0 128 true false template_conf_datacoupler_co2box.yaml

# old tests, TODO test them
#bash ./run_example.sh pythoncompat forcing 4 2005-01-01 2005-03-01 0 128 true
#bash ./run_example.sh fortran forcing 4 2005-01-01 2005-03-01 0 128 true
#bash ./run_example-t1279.sh python forcing 4 2010-01-01 2010-03-01 0 128 true
#bash ./run_example.sh      co2box co2 4 2005-01-01 2005-03-01 0 128 true false
#bash ./run_example.sh python co2 4 2005-01-01 2005-03-01 0 128 true
#bash ./run_example.sh co2box co2 4 2005-01-01 2005-03-01 0 128 true
#bash ./run_example.sh co2box co2 4 2005-01-01 2005-03-01 0 128 true false
#bash ./run_example.sh co2box co2 4 2005-01-01 2005-05-01 0 128 true false
