#!/bin/bash

# loading SLURM configuration for HPC2020
#SBATCH --qos=nf
#SBATCH --ntasks=6
#SBATCH --cpus-per-task=1
#SBATCH -t 0:10:00
#SBATCH --hint=nomultithread



# loading required modules and machine dependence paths on MN4 or HPC2020 
source modules.sh 


#AMIP Forcing only
#bash ./run_example.sh datacoupler forcing 4 2005-01-01 2005-03-01 0 128 true false template_conf_datacoupler_forcing.yaml
#AMIP Forcing + co2flux
bash ./run_example.sh datacoupler co2flux 4 2005-01-01 2005-03-01 0 128 true false template_conf_datacoupler_co2flux.yaml
#co2box only
#bash ./run_example.sh datacoupler co2box 1 2005-01-01 2005-03-01 0 128 true false template_conf_datacoupler_co2box.yaml

